clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
llvm::yaml::SequenceTraits< FileFilter::LineRange > Struct Template Reference

## Static Public Member Functions
static size_t | size (IO &IO, FileFilter::LineRange &Range)
static unsigned & | element (IO &IO, FileFilter::LineRange &Range, size_t Index)

## Detailed Description

### template<>
struct llvm::yaml::SequenceTraits< FileFilter::LineRange >

Definition at line 36 of file ClangTidyOptions.cpp.

## Member Function Documentation

static unsigned& llvm::yaml::SequenceTraits< FileFilter::LineRange >::element | ( | IO & | IO,
|  | FileFilter::LineRange & | Range,
|  | size_t | Index
| ) |  |
| inline static

Definition at line 40 of file ClangTidyOptions.cpp.

static size_t llvm::yaml::SequenceTraits< FileFilter::LineRange >::size | ( | IO & | IO,
|  | FileFilter::LineRange & | Range
| ) |  |
| inline static

Definition at line 37 of file ClangTidyOptions.cpp.

The documentation for this struct was generated from the following file:

- ClangTidyOptions.cpp